Bug 1314927 - googletest 1.8.0 released: gmock and gtest merged
googletest 1.8.0 released: gmock and gtest merged
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gmock (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
: 1284423 1307542 1307602 (view as bug list)
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-03-04 17:31 EST by Dominik 'Rathann' Mierzejewski
Modified: 2018-03-15 04:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-15 04:18:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
googletest.spec (1.37 KB, text/plain)
2016-08-31 18:35 EDT, Orion Poplawski
no flags Details
googletest-libdir.patch (1.02 KB, patch)
2016-10-02 10:58 EDT, Orion Poplawski
no flags Details | Diff
Merged spec for gtest and gmock (2.70 KB, text/plain)
2017-10-12 18:49 EDT, dan.cermak
no flags Details
Required patch from the gtest rpm (1.17 KB, patch)
2017-10-12 18:50 EDT, dan.cermak
no flags Details | Diff

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2016-03-04 17:31:51 EST
Description of problem:
Per https://github.com/google/googlemock:
This project has been absorbed into the GoogleTest project.

Version-Release number of selected component (if applicable):
1.7.0-2.fc23
Comment 1 Terje Røsten 2016-03-05 10:50:20 EST
Is there any gmock releases inside gtest yet? 1.7.0 seems to be 2-3 years old.

A release with gcc 6 issues fixed would also help:

 https://github.com/google/googletest/issues/705

Do you know why they don't create releases any longer?
Comment 2 Jan Kurik 2016-07-26 01:07:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 3 Orion Poplawski 2016-08-31 18:01:16 EDT
There now appears to be a 1.8.0 release: https://github.com/google/googletest/releases
Comment 4 Orion Poplawski 2016-08-31 18:35 EDT
Created attachment 1196524 [details]
googletest.spec

Here's an initial attempt at a combined spec.
Comment 5 Terje Røsten 2016-10-02 08:55:35 EDT
Hi! Thanks!

Can you post the required file googletest-libdir.patch too?
Comment 6 Terje Røsten 2016-10-02 09:35:47 EDT
*** Bug 1307542 has been marked as a duplicate of this bug. ***
Comment 7 Terje Røsten 2016-10-02 09:36:21 EDT
*** Bug 1307602 has been marked as a duplicate of this bug. ***
Comment 8 Terje Røsten 2016-10-02 09:40:20 EDT
*** Bug 1284423 has been marked as a duplicate of this bug. ***
Comment 9 Orion Poplawski 2016-10-02 10:58 EDT
Created attachment 1206622 [details]
googletest-libdir.patch
Comment 10 Neal Gompa 2017-01-26 15:22:49 EST
Hey, is someone working on importing this to replace gmock and gtest?
Comment 11 Orion Poplawski 2017-01-26 16:18:10 EST
I haven't progressed beyond what I attached.
Comment 12 dan.cermak 2017-10-12 18:48:42 EDT
I have merged the googletest.spec with the already existing gtest.spec & gmock.spec files and it seems to work. It requires Orion's googletest-libdir.patch and also gtest-null-pointer.patch (otherwise the unit tests fail).

In contrast to 1.7. there are however some differences: gtest-config and gmock-config do not exist anymore (the templates are still in the upstream sources, but they are not build by CMake, at least I don't know how). Also there is now only one libgtest.so and no libgtest.so.0 and libgtest.so.0.0 (I don't know enough about dynamic linking, so no clue where they came from). The same applies to libgtest_main.so, libgmock.so and libgmock_main.so (although the later two were not in the gmock-1.7.0 rpm).

I have submitted the build to copr: http://copr-fe.cloud.fedoraproject.org/coprs/defolos/devel/build/628186/

Open questions:
- I have included a call ldconfig in %install, but don't know if that is necessary
- The Changelog is empty, it should be a combination of the gmock and gtest changelog (+ Orion's contribution). Should they be merged or a new changelog started?
Comment 13 dan.cermak 2017-10-12 18:49 EDT
Created attachment 1338008 [details]
Merged spec for gtest and gmock
Comment 14 dan.cermak 2017-10-12 18:50 EDT
Created attachment 1338009 [details]
Required patch from the gtest rpm
Comment 15 Terje Røsten 2017-10-15 12:39:17 EDT
Hi Dan, thanks for patches! Changes pushed to rawhide:

 https://koji.fedoraproject.org/koji/taskinfo?taskID=22468376
Comment 16 dan.cermak 2017-10-16 08:52:26 EDT
Awesome! But I guess they aren't making it into 27, are they?
Comment 17 Fedora End Of Life 2017-11-16 14:01:38 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 18 Neal Gompa 2018-02-14 07:40:54 EST
gmock needs to be retired. It doesn't look like it's marked as a dead package.
Comment 19 Fedora End Of Life 2018-02-20 10:22:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.
Comment 20 Peter Lemenkov 2018-03-15 04:18:00 EDT
(In reply to Neal Gompa from comment #18)
> gmock needs to be retired. It doesn't look like it's marked as a dead
> package.

Done. I think we may close this ticket now.

Note You need to log in before you can comment on or make changes to this bug.